public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/python-rpm-generators] f45: Generate python(abi) Requires for any files in pythonX.Y directory
@ 2026-08-26 10:22
0 siblings, 0 replies; only message in thread
From: @ 2026-08-26 10:22 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/python-rpm-generators
Branch : f45
Commit : c88849770b0a8beea977821ca2a87c56124b21c0
Author : Miro Hrončok <miro@hroncok.cz>
Date : 2026-08-15T10:49:05+00:00
Stats : +14/-1 in 3 file(s)
URL : https://src.fedoraproject.org/rpms/python-rpm-generators/c/c88849770b0a8beea977821ca2a87c56124b21c0?branch=f45
Log:
Generate python(abi) Requires for any files in pythonX.Y directory
It does not matter if the package installs .py, .so or different files.
Packages that simply drop a .pth file to site-packages or even only carry dist-info folder
still need to Require the package that owns /usr/lib(64)/pythonX.Y.
---
diff --git a/python.attr b/python.attr
index cf5ae39..afcb18a 100644
--- a/python.attr
+++ b/python.attr
@@ -28,4 +28,4 @@
end
}
-%__python_path ^((%{?!flatpak:/usr}%{?flatpak:/app}/lib(64)?/python[[:digit:]]+\\.[[:digit:]]+/.*\\.(py[oc]?|so))|(%{_bindir}/python[[:digit:]]+\\.[[:digit:]]+))$
+%__python_path ^((%{?!flatpak:/usr}%{?flatpak:/app}/lib(64)?/python[[:digit:]]+\\.[[:digit:]]+/.+)|(%{_bindir}/python[[:digit:]]+\\.[[:digit:]]+))$
diff --git a/tests/pythonabi.sh b/tests/pythonabi.sh
index 36b6060..03d3723 100755
--- a/tests/pythonabi.sh
+++ b/tests/pythonabi.sh
@@ -15,5 +15,8 @@ rpm -qp --provides ${RPMDIR}/${ARCH}/python-arched-0-0.${ARCH}.rpm | grep "${ABI
rpm -qp --requires ${RPMDIR}/noarch/python-noarch-0-0.noarch.rpm | grep "${ABI}"
rpm -qp --provides ${RPMDIR}/noarch/python-noarch-0-0.noarch.rpm | grep "${ABI}" && exit 1 || true
+rpm -qp --requires ${RPMDIR}/noarch/python-data-0-0.noarch.rpm | grep "${ABI}"
+rpm -qp --provides ${RPMDIR}/noarch/python-data-0-0.noarch.rpm | grep "${ABI}" && exit 1 || true
+
rpm -qp --provides ${RPMDIR}/${ARCH}/python-misplaced-interpreter-0-0.${ARCH}.rpm | grep "${ABI}" && exit 1 || true
rpm -qp --requires ${RPMDIR}/noarch/python-misplaced-library-0-0.noarch.rpm | grep "${ABI}" && exit 1 || true
diff --git a/tests/pythonabi.spec b/tests/pythonabi.spec
index 4f5e477..c36f81c 100644
--- a/tests/pythonabi.spec
+++ b/tests/pythonabi.spec
@@ -17,6 +17,7 @@ mkdir -p %{buildroot}/opt%{_bindir}
echo "print()" > %{buildroot}%{python3_sitelib}/file.py
echo "print()" > %{buildroot}/opt%{python3_sitelib}/file.py
+echo "data" > %{buildroot}%{python3_sitelib}/file.txt
cp %{python3_sitearch}/../lib-dynload/cmath.*.so %{buildroot}%{python3_sitearch}/file.so
@@ -49,6 +50,15 @@ Summary: ...
%{_bindir}/python%{python3_version}
+%package -n python-data
+Summary: ...
+BuildArch: noarch
+%description -n python-data
+...
+%files -n python-data
+%{python3_sitelib}/file.txt
+
+
%package -n python-misplaced-library
Summary: ...
BuildArch: noarch
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-08-26 10:22 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-26 10:22 [rpms/python-rpm-generators] f45: Generate python(abi) Requires for any files in pythonX.Y directory
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox